Subject: RE: tkinter in python? (was: Re: fetchmail on cygwin)
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 25 Sep 2001 14:02:22 +0200

> Norman Vine schrieb am 2001-09-25 7:57:

>Gerrit P. Haase writes:
>>
>>> David Monk schrieb am 2001-09-24 12:53:
>> I have not been able to get
>>>fetchmailconf to work. It says python was probably not 
>>configured for Tk. 
>>
>>Python should have tk included.  
>
>>It works great on cygwin.  I wonder why Jason didn't build it.  Jason? I
>>have it build at home and it compiles OOTB. (latest version from CVS). 
>
>AFAIK
>Tkinter will not build OTB with Cygwin because of missing headers.
>There are instructions and a tarball of the required files on my website
>http://vso.cape.com/~nhv/files/python
>
>FYI
>There are a few issues depending on whether or not you have X11 installed a
>search for 'tkinter' in the Cygwin mailing list should shed further light

Aha, thanks for the enlightment.  I have X installed.  So it builds OOTB
for me.  And it is not neccessary to have X installed for the runtime, if i 
read your instructions correct:
 ( http://cygwin.com/ml/cygwin/2001-03/msg01465.html )?
So why not build Python with tkinter?
-> pydoc is such a nice tool/script that it should be active.
Also I need it for fetchmail's config tool.

Gerrit

-- 
[email-masked]

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/